#
# spec file for ffDiaporama
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define rscver  2.2+svn485

Name:           ffDiaporama
Version:        2.2+svn488
Release:        1.4
Summary:        Movie creator
License:        GPL-2.0
Url:            http://ffdiaporama.tuxfamily.org
Group:          Applications/Multimedia
# svn://svn.tuxfamily.org/svnroot/ffdiaporama/ffdiaporama/trunk
Source0:        %{name}_bin-%{version}.tar.gz
Source1:        %{name}_rsc-%{rscver}.tar.gz
Source2:        %{name}-rpmlintrc
Patch1:         %{name}_ffmpeg-3.0.patch
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
%if 0%{?suse_version} > 1315 || 0%{?is_opensuse} != 0
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtmultimedia-devel
BuildRequires:  libqt5-qtsvg-devel
BuildRequires:  libqt5-qttools-devel
%else
BuildRequires:  libqt4-devel >= 4.7
%endif
BuildRequires:  libqimageblitz-devel
BuildRequires:  pkgconfig(libavcodec)
BuildRequires:  pkgconfig(libavdevice)
BuildRequires:  pkgconfig(libavformat)
BuildRequires:  pkgconfig(libavutil)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  libexiv2-devel
BuildRequires:  libtag-devel
BuildRequires:  update-desktop-files

%description
ffDiaporama is an application for assembling photos and videos especially
for preserving holiday memories. It is inspired by presentation software
such as Impress or Powerpoint. It can read nearly all image formats, a
majority of cameras and camcorder video formats, and the most commonly
used music formats. It includes 140 transitions and a device database for
the generation of videos with more than 50 models of video viewing devices
(including smartphones, tablets, and home cinema systems).

ffDiaporama can manage several hundreds of slides.
Every slide can contain several tens of shots and several tens of blocks.
Every shot contains its own block settings.
The application calculates all the shot transformations.

%prep
%setup -q -n %{name}
tar -xf "%{SOURCE1}" --strip-components=1
%patch1 -p1

%build
%if 0%{?suse_version} > 1315 || 0%{?is_opensuse} != 0
qmake-qt5 \
%else
qmake QT+=multimedia \
%endif
 PREFIX=%{_prefix} %{name}.pro QMAKE_CFLAGS="%optflags" QMAKE_CXXFLAGS="%optflags"
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
%suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing
dos2unix -c ascii background/*.txt
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a background %{buildroot}/%{_datadir}/%{name}
cp -a clipart %{buildroot}/%{_datadir}/%{name}
cp -a luma %{buildroot}/%{_datadir}/%{name}
cp -a model %{buildroot}/%{_datadir}/%{name}
cp RSCBUILDVERSION.txt %{buildroot}/%{_datadir}/%{name}
%fdupes -s %{buildroot}/%{_datadir}/%{name}

%post
%desktop_database_post
%icon_theme_cache_post
%mime_database_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}-mime.xml
%{_datadir}/icons/hicolor/32x32/apps/ffdiaporama.png

%changelog
* Fri Apr 29 2016 aloisio@gmx.com
- Updated to last svn version
- Patched for ffmpeg 3.0
- Dropped ffDiaporama-exiv2.patch
- Fixed Qt5 build on Leap
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Mon Feb 16 2015 aloisio@gmx.com
- Added patch for ffmpeg 2.4 and beyond
- Minor cleanup
* Tue Oct 14 2014 aloisio@gmx.com
- Added resource files
* Mon Oct  6 2014 olaf@aepfle.de
- Fix build with exiv2-0.20
* Mon Apr 14 2014 p.drouand@gmail.com
- Install locales
- Add a -lang subpackage
* Sun Apr 13 2014 p.drouand@gmail.com
- Initial release
